cURL
curl --request GET \ --url https://api.revring.ai/v1/knowledge-bases/{id} \ --header 'x-api-key: <api-key>'
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "sourceCount": 123, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "description": "<string>", "sources": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "knowledgeBaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "sourceType": "file", "displayName": "<string>", "status": "queued", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "content": "<string>", "originalUrl": "<string>", "mimeType": "<string>", "fileSize": 123, "errorMessage": "<string>" } ] } }
Retrieve a knowledge base by ID, including its sources
Documentation IndexFetch the complete documentation index at: https://docs.revring.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.revring.ai/llms.txt
Use this file to discover all available pages before exploring further.
API key for authentication. Generate API keys from the RevRing dashboard.
Knowledge base ID
Knowledge base details
Knowledge base with sources for agent retrieval
Show child attributes